<?php
// $Id: google_wave.admin.inc,v 1.1 2010/06/09 18:09:39 jan0sch Exp $
/**
 * @file
 * The administration section for the google wave module.
 *
 * @author Jens Jahnke <jan0sch@gmx.net>
 */

/**
 * Generates the form for the admin settings.
 *
 * @param array $form_state
 * @return array
 */
function google_wave_admin_form($form_state) {
  $form['general'] = array(
    '#title' => t('General settings'),
    '#type' => 'fieldset',
  );
  $form['general']['google_wave_height'] = array(
    '#title' => t('Height of the wave element'),
    '#description' => t('If you experience problems with firefox users complaining about the wave element being ludicrously small then enter a sane value here (height in pixels). Otherwise leave this at zero.'),
    '#type' => 'textfield',
    '#default_value' => (int)variable_get('google_wave_height', GOOGLE_WAVE_HEIGHT),
  );
  $form['teaser'] = array(
    '#title' => t('Teaser settings'),
    '#type' => 'fieldset',
  );
  $form['teaser']['google_wave_teasers_enabled'] = array(
    '#title' => t('Enable teasers'),
    '#type' => 'checkbox',
    '#default_value' => (int)variable_get('google_wave_teasers_enabled', GOOGLE_WAVE_TEASERS_ENABLED),
  );
  if ((int)variable_get('google_wave_teasers_enabled', GOOGLE_WAVE_TEASERS_ENABLED) === 1) {
    $form['teaser']['google_wave_teaser_height'] = array(
      '#title' => t('Height of a wave teaser'),
      '#description' => t('Enter the height in pixels that the wave teaser should have. If unsure stick with the default value.'),
      '#type' => 'textfield',
      '#default_value' => (int)variable_get('google_wave_teasers_height', GOOGLE_WAVE_TEASER_HEIGHT),
    );
  }
  return system_settings_form($form);
} // function google_wave_admin_form